Kerbal Space Program - Bug #9129

[VAB/SPH] > Hotkeys are still active when searching for a specific part in the search bar
04/16/2016 06:54 PM - Caldvan

Status: Closed Start date: 04/16/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: Not Applicable Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Build 1209, 1.1 Pre-release
It appears that keyboard shortcuts are still active when using the search filter for parts. It looks like this is causing several issues:

1) If the hotkey is the first letter typed: The layered Ul will start "flickering". This is resolved by leaving the VAB and returning. No
program restart. The hotKey, correctly, does not work (ie, "R" won't switch modes)

2) If the hotKey is the second or later letter typed: The Ul does not start flickering, but the hotKey is active. For example, searching
for "battery" will switch symmetry modes because it contains the letter "R".

History

#1 - 04/27/2016 12:14 AM - Caldvan

Can't reproduce in 1.1 release build

#2 - 07/17/2016 09:46 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2019 04:36 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#4 - 08/09/2019 04:36 PM - chris.fulton

- Status changed from Resolved to Closed
